"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.service = exports.validate = void 0;

var _request = require("../../../helpers/request.js");

var _bankAccountsInterface = require("./bankAccountsInterface.js");

var _validate = require("./validate/validate.js");

const validate = (0, _validate.service)();
exports.validate = validate;

const service = (get = _request.getRequest, put = _request.putRequest, post = _request.postRequest) => ({
  get: get(params => `v0/merchants/${params.affiliationCode}/bank-accounts`),
  put: put(params => `v0/merchants/${params.affiliationCode}/bank-accounts/` + `${params.id}`, _bankAccountsInterface.bankAccountsInterface),
  post: post(params => `v0/merchants/${params.affiliationCode}/bank-accounts`, _bankAccountsInterface.bankAccountsInterface)
});

exports.service = service;